SyncML Device Information Object
libsyncml API » libsyncml Object API

The public part. More...

Collaboration diagram for SyncML Device Information Object:

## Typedefs

typedef struct SmlDevInfAgent | SmlDevInfAgent

## Functions

SmlDevInfAgent * | smlDevInfAgentNew (SmlDevInf *devinf, SmlError **error)
void | smlDevInfAgentFree (SmlDevInfAgent *agent)
SmlBool | smlDevInfAgentRegisterSession (SmlDevInfAgent *agent, SmlManager *manager, SmlSession *session, SmlError **error)
SmlBool | smlDevInfAgentRegister (SmlDevInfAgent *agent, SmlManager *manager, SmlError **error)
SmlBool | smlDevInfAgentSendDevInf (SmlDevInfAgent *agent, SmlSession *session, SmlError **error)
SmlBool | smlDevInfAgentRequestDevInf (SmlDevInfAgent *agent, SmlSession *session, SmlError **error)
SmlBool | smlDevInfAgentSetSessionDevInf (SmlDevInfAgent *agent, SmlSession *session, SmlDevInf *devinf, SmlError **error)
SmlDevInf * | smlDevInfAgentGetSessionDevInf (SmlDevInfAgent *agent, SmlSession *session)
void | smlDevInfAgentSetDevInf (SmlDevInfAgent *agent, SmlDevInf *devinf) LIBSYNCML_DEPRECATED
SmlDevInf * | smlDevInfAgentGetDevInf (SmlDevInfAgent *agent) LIBSYNCML_DEPRECATED

## Detailed Description

The public part.

## Function Documentation

SmlBool smlDevInfAgentSendDevInf | ( | SmlDevInfAgent * | agent,
|  | SmlSession * | session,
|  | SmlError ** | error
| ) |  |

Issues a put request on the session if needed

Definition at line 494 of file sml_devinf_obj.c.

Here is the call graph for this function:

SmlBool smlDevInfAgentRequestDevInf | ( | SmlDevInfAgent * | agent,
|  | SmlSession * | session,
|  | SmlError ** | error
| ) |  |

Issues a Get request for the devinf on the session if needed

Definition at line 512 of file sml_devinf_obj.c.

Here is the call graph for this function: